function params_bar = fd_grads(fn, hh, params, varargin)

params_bar = cell(size(params));

for ii = 1:numel(params)
    A = params{ii};
    A_bar_fd = zeros(size(A));
    for jj = 1:numel(A)
        cc = A(jj);
        A(jj) = cc + hh/2;
        params{ii} = A;
        f2 = fn(params, varargin{:});
        A(jj) = cc - hh/2;
        params{ii} = A;
        f1 = fn(params, varargin{:});
        A(jj) = cc;
        params{ii} = A;
        A_bar_fd(jj) = (f2 - f1) / hh;
    end

    params_bar{ii} = A_bar_fd;
end

