function params_bar = fd_grads_simple(fn, hh, params, varargin)

params_bar = zeros(size(params));
for jj = 1:numel(params)
    cc = params(jj);
    params(jj) = cc + hh/2;
    f2 = fn(params, varargin{:});
    params(jj) = cc - hh/2;
    f1 = fn(params, varargin{:});
    params(jj) = cc;
    params_bar(jj) = (f2 - f1) / hh;
end

